Page MenuHomePhabricator

RevisionAccessException, "Could not determine title for page ID X and revision ID Y" in GeoData FileUpload hook
Closed, ResolvedPublic

Description

Logstash: https://logstash-beta.wmflabs.org/goto/2c7b7b24c595de2020ecb4ffc9bbbb4a
Revision in question: https://commons.wikimedia.beta.wmflabs.org/w/index.php?oldid=100162

Could be similar to T183505 & T183716

To Reproduce:
You can easily reproduce this stack trace on beta by simply uploading any image it would seem.
With the GeoData extension enabled you can also reproduce this locally.

Stacktrace:

#0 /srv/mediawiki/php-master/includes/Storage/RevisionStore.php(1079): MediaWiki\Storage\RevisionStore->getTitle(string, string)
#1 /srv/mediawiki/php-master/includes/Storage/RevisionStore.php(1113): MediaWiki\Storage\RevisionStore->newRevisionFromRow_1_29(stdClass, integer, NULL)
#2 /srv/mediawiki/php-master/includes/Storage/RevisionStore.php(1453): MediaWiki\Storage\RevisionStore->newRevisionFromRow(stdClass, integer, NULL)
#3 /srv/mediawiki/php-master/includes/Storage/RevisionStore.php(1411): MediaWiki\Storage\RevisionStore->loadRevisionFromConds(Wikimedia\Rdbms\DatabaseMysqli, array, integer, NULL)
#4 /srv/mediawiki/php-master/includes/Storage/RevisionStore.php(928): MediaWiki\Storage\RevisionStore->newRevisionFromConds(array, integer)
#5 /srv/mediawiki/php-master/includes/Revision.php(181): MediaWiki\Storage\RevisionStore->getRevisionByPageId(integer, integer, integer)
#6 /srv/mediawiki/php-master/includes/page/WikiPage.php(672): Revision::newFromPageId(integer, integer, integer)
#7 /srv/mediawiki/php-master/includes/page/WikiPage.php(697): WikiPage->loadLastEdit()
#8 /srv/mediawiki/php-master/includes/page/WikiPage.php(569): WikiPage->getRevision()
#9 /srv/mediawiki/php-master/includes/libs/objectcache/WANObjectCache.php(1202): Closure$WikiPage::getContentModel(boolean, integer, array, NULL)
#10 /srv/mediawiki/php-master/includes/libs/objectcache/WANObjectCache.php(1076): WANObjectCache->doGetWithSetCallback(string, integer, Closure$WikiPage::getContentModel;2448, array)
#11 /srv/mediawiki/php-master/includes/page/WikiPage.php(579): WANObjectCache->getWithSetCallback(string, integer, Closure$WikiPage::getContentModel;2448)
#12 /srv/mediawiki/php-master/includes/page/WikiPage.php(230): WikiPage->getContentModel()
#13 /srv/mediawiki/php-master/includes/page/WikiPage.php(1993): WikiPage->getContentHandler()
#14 /srv/mediawiki/php-master/extensions/GeoData/includes/Hooks.php(222): WikiPage->makeParserOptions(User)
#15 /srv/mediawiki/php-master/includes/Hooks.php(177): GeoData\Hooks::onFileUpload(LocalFile, boolean, boolean)
#16 /srv/mediawiki/php-master/includes/Hooks.php(205): Hooks::callHook(string, array, array, NULL)
#17 /srv/mediawiki/php-master/includes/filerepo/file/LocalFile.php(1711): Hooks::run(string, array)
#18 /srv/mediawiki/php-master/includes/deferred/AutoCommitUpdate.php(42): Closure$LocalFile::recordUpload2(Wikimedia\Rdbms\DatabaseMysqli, string)
#19 /srv/mediawiki/php-master/includes/deferred/DeferredUpdates.php(259): AutoCommitUpdate->doUpdate()
#20 /srv/mediawiki/php-master/includes/deferred/DeferredUpdates.php(210): DeferredUpdates::runUpdate(AutoCommitUpdate, Wikimedia\Rdbms\LBFactoryMulti, string, integer)
#21 /srv/mediawiki/php-master/includes/deferred/DeferredUpdates.php(127): DeferredUpdates::execute(array, string, integer)
#22 /srv/mediawiki/php-master/includes/MediaWiki.php(602): DeferredUpdates::doUpdates(string, integer)
#23 /srv/mediawiki/php-master/includes/MediaWiki.php(571): MediaWiki::preOutputCommit(RequestContext, Closure$MediaWiki::main;362)
#24 /srv/mediawiki/php-master/includes/MediaWiki.php(867): MediaWiki->doPreOutputCommit(Closure$MediaWiki::main;362)
#25 /srv/mediawiki/php-master/includes/MediaWiki.php(523): MediaWiki->main()
#26 /srv/mediawiki/php-master/index.php(43): MediaWiki->run()
#27 /srv/mediawiki/w/index.php(3): include(string)
#28 {main}

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 27 2017, 12:02 PM
Addshore triaged this task as Unbreak Now! priority.Dec 28 2017, 12:00 PM
Addshore updated the task description. (Show Details)
Restricted Application added subscribers: Liuxinyu970226, Jay8g, TerraCodes. · View Herald TranscriptDec 28 2017, 12:00 PM
Addshore lowered the priority of this task from Unbreak Now! to High.
Restricted Application added a project: User-Addshore. · View Herald TranscriptDec 28 2017, 12:00 PM
Addshore moved this task from Inbox to Next on the Multi-Content-Revisions board.

Change 400577 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/core@master] [MCR] pass $queryFlags into RevisionStore::getTitle

https://gerrit.wikimedia.org/r/400577

Change 400577 merged by jenkins-bot:
[mediawiki/core@master] [MCR] pass $queryFlags into RevisionStore::getTitle

https://gerrit.wikimedia.org/r/400577

Addshore closed this task as Resolved.Dec 30 2017, 9:40 AM

Change 403446 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/core@wmf/1.31.0-wmf.16] [MCR] RevisionStore::getTitle final logged fallback to master

https://gerrit.wikimedia.org/r/403446

Change 403446 merged by jenkins-bot:
[mediawiki/core@wmf/1.31.0-wmf.16] [MCR] RevisionStore::getTitle final logged fallback to master

https://gerrit.wikimedia.org/r/403446

Change 404757 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/core@wmf/1.31.0-wmf.17] [MCR] RevisionStore::getTitle final logged fallback to master

https://gerrit.wikimedia.org/r/404757

Change 404757 merged by jenkins-bot:
[mediawiki/core@wmf/1.31.0-wmf.17] [MCR] RevisionStore::getTitle final logged fallback to master

https://gerrit.wikimedia.org/r/404757

Change 403422 merged by jenkins-bot:
[mediawiki/core@master] [MCR] RevisionStore::getTitle final logged fallback to master

https://gerrit.wikimedia.org/r/403422

Restricted Application added a project: Discovery-Search. · View Herald TranscriptJul 10 2018, 3:26 AM